-- phpMyAdmin SQL Dump
-- version 3.3.2
-- http://www.phpmyadmin.net
--
-- Počítač: localhost
-- Vygenerováno: Úterý 23. listopadu 2010, 14:38
-- Verze MySQL: 5.1.44
-- Verze PHP: 5.3.2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Databáze: `cvut`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `admin_resource`
--

CREATE TABLE IF NOT EXISTS `admin_resource` (
  `ares_id` tinyint(3) unsigned NOT NULL,
  `ares_name` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`ares_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Vypisuji data pro tabulku `admin_resource`
--


-- --------------------------------------------------------

--
-- Struktura tabulky `admin_role`
--

CREATE TABLE IF NOT EXISTS `admin_role` (
  `arole_id` tinyint(3) unsigned NOT NULL,
  `arole_name` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`arole_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Vypisuji data pro tabulku `admin_role`
--

INSERT INTO `admin_role` (`arole_id`, `arole_name`) VALUES
(1, 'Guest'),
(5, 'Spravce'),
(9, 'Admin');

-- --------------------------------------------------------

--
-- Struktura tabulky `admin_role_2_resouce`
--

CREATE TABLE IF NOT EXISTS `admin_role_2_resouce` (
  `arr_id_arole` tinyint(3) unsigned NOT NULL,
  `arr_id_resource` tinyint(3) unsigned NOT NULL,
  `arr_allowed` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`arr_id_arole`,`arr_id_resource`),
  KEY `arr_id_resource` (`arr_id_resource`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Vypisuji data pro tabulku `admin_role_2_resouce`
--


-- --------------------------------------------------------

--
-- Struktura tabulky `admin_user`
--

CREATE TABLE IF NOT EXISTS `admin_user` (
  `au_id` tinyint(3) unsigned NOT NULL,
  `au_id_role` tinyint(3) unsigned NOT NULL,
  `au_account_active` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `au_loginname` varchar(16) DEFAULT NULL,
  `au_password` varchar(40) DEFAULT NULL,
  `au_name` varchar(24) DEFAULT NULL,
  `au_surname` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`au_id`),
  UNIQUE KEY `au_loginname_UNIQUE` (`au_loginname`),
  KEY `au_id_role` (`au_id_role`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Vypisuji data pro tabulku `admin_user`
--

INSERT INTO `admin_user` (`au_id`, `au_id_role`, `au_account_active`, `au_loginname`, `au_password`, `au_name`, `au_surname`) VALUES
(1, 1, 1, 'horrad', 'a5b05a9dc0be776788d8bbd5aeb47169', 'Radek', 'Horáček'),
(2, 1, 0, 'novtom', 'b8ad3150e95abd0981b15a77919aa47f', 'Tomáš', 'Nový');

-- --------------------------------------------------------

--
-- Struktura tabulky `building`
--

CREATE TABLE IF NOT EXISTS `building` (
  `building_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `building_code` varchar(10) DEFAULT NULL,
  `building_abbr` varchar(8) NOT NULL,
  `building_name` varchar(32) NOT NULL,
  PRIMARY KEY (`building_id`),
  UNIQUE KEY `building_abbr` (`building_abbr`),
  UNIQUE KEY `building_code` (`building_code`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Vypisuji data pro tabulku `building`
--

INSERT INTO `building` (`building_id`, `building_code`, `building_abbr`, `building_name`) VALUES
(1, '44210', 'D', 'Dejvice'),
(2, '44211', 'KN', 'Karlovo náměstí');

-- --------------------------------------------------------

--
-- Struktura tabulky `hw`
--

CREATE TABLE IF NOT EXISTS `hw` (
  `hw_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `hw_id_location` smallint(5) unsigned NOT NULL,
  `hw_id_device_type` tinyint(3) unsigned NOT NULL,
  `hw_id_user` smallint(5) unsigned DEFAULT NULL,
  `hw_id_admin_change` tinyint(3) unsigned DEFAULT NULL,
  `hw_ti_create` int(11) DEFAULT NULL,
  `hw_ts_update` timestamp NULL DEFAULT NULL,
  `hw_sn_hw` varchar(32) NOT NULL,
  `hw_sn_monitor` varchar(32) DEFAULT NULL,
  `hw_sn_keyboard` varchar(32) DEFAULT NULL,
  `hw_sn_mouse_primary` varchar(32) DEFAULT NULL,
  `hw_sn_mouse_secondary` varchar(32) DEFAULT NULL,
  `hw_sn_dock_station` varchar(32) DEFAULT NULL,
  `hw_netbios` varchar(32) DEFAULT NULL,
  `hw_mac_addres` varchar(32) DEFAULT NULL,
  `hw_guid` varchar(48) DEFAULT NULL,
  `hw_comment` text,
  PRIMARY KEY (`hw_id`),
  UNIQUE KEY `hw_sn_monitor` (`hw_sn_monitor`),
  UNIQUE KEY `hw_sn_keyboard` (`hw_sn_keyboard`),
  UNIQUE KEY `hw_netbios` (`hw_netbios`),
  UNIQUE KEY `hw_sn_mouse_secondary` (`hw_sn_mouse_secondary`),
  UNIQUE KEY `hw_guid` (`hw_guid`),
  UNIQUE KEY `hw_mac_addres` (`hw_mac_addres`),
  KEY `hw_id_location` (`hw_id_location`),
  KEY `hw_id_user` (`hw_id_user`),
  KEY `hw_id_admin_change` (`hw_id_admin_change`),
  KEY `hw_id_device_type` (`hw_id_device_type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

--
-- Vypisuji data pro tabulku `hw`
--

INSERT INTO `hw` (`hw_id`, `hw_id_location`, `hw_id_device_type`, `hw_id_user`, `hw_id_admin_change`, `hw_ti_create`, `hw_ts_update`, `hw_sn_hw`, `hw_sn_monitor`, `hw_sn_keyboard`, `hw_sn_mouse_primary`, `hw_sn_mouse_secondary`, `hw_sn_dock_station`, `hw_netbios`, `hw_mac_addres`, `hw_guid`, `hw_comment`) VALUES
(1, 2, 12, 1, NULL, 0, '2010-11-14 23:19:26', 'CZC56455', 'TSR4540121', 'S35SRDGSF489', 'SDF64G5ASD456', NULL, NULL, 'ST0010', '12-54-45-8D-54-DC', NULL, NULL),
(2, 4, 12, 5, 2, NULL, '2010-11-23 13:14:23', 'CZC66457', 'TSR4545121', 'S35SRDGSF443', 'SDF62G5ASD453', NULL, NULL, 'ST0016', NULL, NULL, NULL),
(3, 2, 12, 1, NULL, 0, '2010-11-15 08:53:27', 'CZC57445', 'TSR4640121', 'S35SRG9SF489', 'SDF64G54SD456', NULL, NULL, 'ST0021', '12-54-45-8D-64-DC', NULL, NULL),
(4, 2, 11, 1, 2, NULL, '2010-11-15 08:53:49', 'CZC96747', 'TSR4545151', 'S35S6DGSF443', 'SDF62G5ARD453', NULL, NULL, 'ST0036', NULL, NULL, NULL),
(5, 2, 10, 3, NULL, 0, '2010-11-15 08:52:43', 'CZC56475', 'TSR4140121', 'S35SRDGSF499', 'SDF6455ASD456', NULL, NULL, 'ST0019', '12-50-45-8D-54-DC', NULL, NULL),
(6, 2, 12, 3, 2, NULL, '2010-11-23 13:14:13', 'CZC56457', 'TSR4545921', 'S35SRDGS5543', 'SDF62G566D453', NULL, NULL, 'ST0076', NULL, NULL, NULL),
(7, 2, 12, 1, NULL, 0, '2010-11-14 23:26:09', 'CZC57455', 'TSR4564012', 'S35SRG44F489', 'SDF64G664SD456', NULL, NULL, 'ST0071', '12-04-45-8D-64-DC', NULL, NULL),
(8, 2, 11, 1, 2, NULL, '2010-11-14 23:21:09', 'CZC56747', 'TSR4545158', 'S35S36GSF443', 'SDF62G5A66453', NULL, NULL, 'ST0176', NULL, NULL, NULL),
(9, 4, 16, NULL, NULL, NULL, '2010-11-23 13:26:05', 'CZC57445fg', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Struktura tabulky `hw_brand`
--

CREATE TABLE IF NOT EXISTS `hw_brand` (
  `brand_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `hb_name` varchar(32) NOT NULL,
  PRIMARY KEY (`brand_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Vypisuji data pro tabulku `hw_brand`
--

INSERT INTO `hw_brand` (`brand_id`, `hb_name`) VALUES
(1, 'Acer'),
(2, 'Lenovo'),
(3, 'HP'),
(4, 'IBM'),
(5, 'Asus');

-- --------------------------------------------------------

--
-- Struktura tabulky `hw_device`
--

CREATE TABLE IF NOT EXISTS `hw_device` (
  `hd_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `hd_code` varchar(8) NOT NULL,
  `hd_name` varchar(32) NOT NULL,
  PRIMARY KEY (`hd_id`),
  UNIQUE KEY `hd_code_UNIQUE` (`hd_code`),
  UNIQUE KEY `hd_name_UNIQUE` (`hd_name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Vypisuji data pro tabulku `hw_device`
--

INSERT INTO `hw_device` (`hd_id`, `hd_code`, `hd_name`) VALUES
(1, 'PC', 'Počítač'),
(2, 'NB', 'Notebook'),
(3, 'SV', 'Server');

-- --------------------------------------------------------

--
-- Struktura tabulky `hw_device_type`
--

CREATE TABLE IF NOT EXISTS `hw_device_type` (
  `hdt_id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,
  `hdt_id_device` tinyint(3) unsigned NOT NULL,
  `brand_id` tinyint(3) unsigned NOT NULL,
  `hbt_name` varchar(64) NOT NULL,
  `hdt_cpu` varchar(64) DEFAULT NULL,
  `hdt_ram` varchar(24) DEFAULT NULL,
  `hdt_hdd` varchar(24) DEFAULT NULL,
  `hdt_lan` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`hdt_id`),
  KEY `hdt_id_device` (`hdt_id_device`),
  KEY `brand_id` (`brand_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;

--
-- Vypisuji data pro tabulku `hw_device_type`
--

INSERT INTO `hw_device_type` (`hdt_id`, `hdt_id_device`, `brand_id`, `hbt_name`, `hdt_cpu`, `hdt_ram`, `hdt_hdd`, `hdt_lan`) VALUES
(10, 2, 5, 'X52F-SX485V', 'Intel Core i5-460M (2.53 GHz)', '3072', '320', NULL),
(11, 2, 2, 'ThinkPad L512 (NVW37MC)', 'Intel Core i3 350M (2.26 GHz)', '2048', '320', NULL),
(12, 2, 2, 'IdeaPad Z565 (045441)', 'AMD Phenom II Quad-Core Mobile N930 (2.00 GHz)', '4096', '500', NULL),
(13, 2, 5, 'K52DE-EX085', 'AMD Athlon II Dual-Core P320 (2,1 GHz)', '3072', '320', NULL),
(14, 1, 3, 'Compaq 500B MT ​(WU373EA)', 'Intel Celeron Dual-Core E3400 (2.6 GHz)', '2048', '320', NULL),
(15, 1, 1, 'Veriton X490G (PS.VAVE3.009)', 'Intel Core i5 750 (2.66GHz)', '4092', '320', NULL),
(16, 3, 3, 'DL160 G6 L5520 ', 'Intel Xeon Processor E5520 (2.26 GHz)', '4092', '160', NULL);

-- --------------------------------------------------------

--
-- Zástupná struktura pro pohled `hw_nb`
--
CREATE TABLE IF NOT EXISTS `hw_nb` (
`hb_name` varchar(32)
,`hbt_name` varchar(64)
,`building_name` varchar(32)
,`location_phone` varchar(16)
,`unisteni` varchar(17)
,`user_fullname` varchar(57)
);
-- --------------------------------------------------------

--
-- Struktura tabulky `location`
--

CREATE TABLE IF NOT EXISTS `location` (
  `location_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `location_id_oddeleni` smallint(5) unsigned NOT NULL,
  `location_id_building` tinyint(3) unsigned NOT NULL,
  `location_id_admin_change` tinyint(3) unsigned DEFAULT NULL,
  `loctinon_ti_crerate` int(11) DEFAULT NULL,
  `location_ts_update` timestamp NULL DEFAULT NULL,
  `location_count_users` tinyint(3) unsigned DEFAULT NULL,
  `location_door` varchar(8) NOT NULL,
  `location_phone` varchar(16) DEFAULT NULL,
  PRIMARY KEY (`location_id`),
  KEY `location_id_oddeleni` (`location_id_oddeleni`),
  KEY `location_id_building` (`location_id_building`),
  KEY `location_id_admin_change` (`location_id_admin_change`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

--
-- Vypisuji data pro tabulku `location`
--

INSERT INTO `location` (`location_id`, `location_id_oddeleni`, `location_id_building`, `location_id_admin_change`, `loctinon_ti_crerate`, `location_ts_update`, `location_count_users`, `location_door`, `location_phone`) VALUES
(2, 2, 1, NULL, NULL, '2010-11-16 14:24:45', 3, '325', '+420 254 658458'),
(4, 5, 1, 2, NULL, '2010-11-15 12:51:32', 1, '416', '+420 254 658444'),
(5, 6, 2, NULL, NULL, '2010-11-16 14:49:52', 1, '401', '+420 254 658333');

-- --------------------------------------------------------

--
-- Struktura tabulky `oddeleni`
--

CREATE TABLE IF NOT EXISTS `oddeleni` (
  `odd_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `odd_id_parent` smallint(5) unsigned NOT NULL,
  `odd_id_admin` tinyint(3) unsigned DEFAULT NULL,
  `odd_ts_update` timestamp NULL DEFAULT NULL,
  `odd_name` varchar(24) DEFAULT NULL,
  PRIMARY KEY (`odd_id`),
  UNIQUE KEY `odd_name_UNIQUE` (`odd_name`),
  KEY `odd_id_parent` (`odd_id_parent`),
  KEY `odd_id_admin` (`odd_id_admin`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

--
-- Vypisuji data pro tabulku `oddeleni`
--

INSERT INTO `oddeleni` (`odd_id`, `odd_id_parent`, `odd_id_admin`, `odd_ts_update`, `odd_name`) VALUES
(1, 1, NULL, '2010-11-14 19:13:44', '1'),
(2, 1, NULL, '2010-11-14 21:07:25', '102'),
(3, 1, NULL, '2010-11-14 21:07:26', '103'),
(5, 2, NULL, '2010-11-14 21:08:46', '10201'),
(6, 3, NULL, '2010-11-14 21:08:54', '10301');

-- --------------------------------------------------------

--
-- Struktura tabulky `tmp_loc_info`
--

CREATE TABLE IF NOT EXISTS `tmp_loc_info` (
  `loc_id` smallint(5) unsigned NOT NULL,
  `count_user` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `count_hw` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`loc_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Vypisuji data pro tabulku `tmp_loc_info`
--

INSERT INTO `tmp_loc_info` (`loc_id`, `count_user`, `count_hw`) VALUES
(2, 3, 7),
(4, 1, 2),
(5, 1, 0);

-- --------------------------------------------------------

--
-- Struktura tabulky `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `user_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_location` smallint(5) unsigned NOT NULL,
  `user_id_admin_change` tinyint(3) unsigned DEFAULT NULL,
  `user_ts_update` timestamp NULL DEFAULT NULL,
  `user_nickname` varchar(16) NOT NULL,
  `user_name` varchar(24) NOT NULL,
  `user_surname` varchar(32) NOT NULL,
  `user_comment` text,
  PRIMARY KEY (`user_id`),
  KEY `user_id_location` (`user_id_location`),
  KEY `user_id_admin_change` (`user_id_admin_change`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Vypisuji data pro tabulku `users`
--

INSERT INTO `users` (`user_id`, `user_id_location`, `user_id_admin_change`, `user_ts_update`, `user_nickname`, `user_name`, `user_surname`, `user_comment`) VALUES
(1, 4, NULL, '2010-11-23 13:13:59', 'parjir', 'Jiří', 'Nonotný', NULL),
(2, 2, NULL, '2010-11-14 23:24:32', 'novpet', 'Novotný', 'Petr', NULL),
(3, 2, NULL, '2010-11-14 23:28:06', 'holdav', 'David', 'Holý', NULL),
(4, 2, 1, '2010-11-15 09:45:06', 'horrad', 'Radek', 'Horáček', NULL),
(5, 5, 1, '2010-11-16 14:50:24', 'jontom', 'Tomáš', 'Jonák', NULL);

-- --------------------------------------------------------

--
-- Struktura pro pohled `hw_nb`
--
DROP TABLE IF EXISTS `hw_nb`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `hw_nb` AS select `hw_brand`.`hb_name` AS `hb_name`,`hw_device_type`.`hbt_name` AS `hbt_name`,`building`.`building_name` AS `building_name`,`location`.`location_phone` AS `location_phone`,concat(`building`.`building_abbr`,' ',`location`.`location_door`) AS `unisteni`,concat(`users`.`user_name`,' ',`users`.`user_surname`) AS `user_fullname` from ((((((`hw` join `hw_device_type` on((`hw_device_type`.`hdt_id` = `hw`.`hw_id_device_type`))) join `hw_device` on((`hw_device_type`.`hdt_id_device` = `hw_device`.`hd_id`))) join `hw_brand` on((`hw_brand`.`brand_id` = `hw_device_type`.`brand_id`))) join `location` on((`hw`.`hw_id_location` = `location`.`location_id`))) join `building` on((`location`.`location_id_building` = `building`.`building_id`))) left join `users` on((`users`.`user_id` = `hw`.`hw_id_user`))) where (`hw_device`.`hd_code` = 'NB');

--
-- Omezení pro exportované tabulky
--

--
-- Omezení pro tabulku `admin_role_2_resouce`
--
ALTER TABLE `admin_role_2_resouce`
  ADD CONSTRAINT `admin_role_2_resouce_ibfk_1` FOREIGN KEY (`arr_id_resource`) REFERENCES `admin_resource` (`ares_id`) ON DELETE NO ACTION ON UPDATE CASCADE,
  ADD CONSTRAINT `admin_role_2_resouce_ibfk_2` FOREIGN KEY (`arr_id_arole`) REFERENCES `admin_role` (`arole_id`) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Omezení pro tabulku `admin_user`
--
ALTER TABLE `admin_user`
  ADD CONSTRAINT `admin_user_ibfk_1` FOREIGN KEY (`au_id_role`) REFERENCES `admin_role` (`arole_id`) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Omezení pro tabulku `hw`
--
ALTER TABLE `hw`
  ADD CONSTRAINT `hw_ibfk_6` FOREIGN KEY (`hw_id_admin_change`) REFERENCES `admin_user` (`au_id`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `hw_ibfk_3` FOREIGN KEY (`hw_id_location`) REFERENCES `location` (`location_id`) ON DELETE NO ACTION ON UPDATE CASCADE,
  ADD CONSTRAINT `hw_ibfk_4` FOREIGN KEY (`hw_id_device_type`) REFERENCES `hw_device_type` (`hdt_id`) ON DELETE NO ACTION ON UPDATE CASCADE,
  ADD CONSTRAINT `hw_ibfk_5` FOREIGN KEY (`hw_id_user`) REFERENCES `users` (`user_id`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Omezení pro tabulku `hw_device_type`
--
ALTER TABLE `hw_device_type`
  ADD CONSTRAINT `hw_device_type_ibfk_2` FOREIGN KEY (`brand_id`) REFERENCES `hw_brand` (`brand_id`) ON DELETE NO ACTION ON UPDATE CASCADE,
  ADD CONSTRAINT `hw_device_type_ibfk_1` FOREIGN KEY (`hdt_id_device`) REFERENCES `hw_device` (`hd_id`) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Omezení pro tabulku `location`
--
ALTER TABLE `location`
  ADD CONSTRAINT `location_ibfk_1` FOREIGN KEY (`location_id_building`) REFERENCES `building` (`building_id`) ON DELETE NO ACTION ON UPDATE CASCADE,
  ADD CONSTRAINT `location_ibfk_2` FOREIGN KEY (`location_id_oddeleni`) REFERENCES `oddeleni` (`odd_id`) ON DELETE NO ACTION ON UPDATE CASCADE,
  ADD CONSTRAINT `location_ibfk_3` FOREIGN KEY (`location_id_admin_change`) REFERENCES `admin_user` (`au_id`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Omezení pro tabulku `oddeleni`
--
ALTER TABLE `oddeleni`
  ADD CONSTRAINT `oddeleni_ibfk_2` FOREIGN KEY (`odd_id_admin`) REFERENCES `admin_user` (`au_id`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `oddeleni_ibfk_1` FOREIGN KEY (`odd_id_parent`) REFERENCES `oddeleni` (`odd_id`) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Omezení pro tabulku `users`
--
ALTER TABLE `users`
  ADD CONSTRAINT `users_ibfk_2` FOREIGN KEY (`user_id_admin_change`) REFERENCES `admin_user` (`au_id`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `users_ibfk_1` FOREIGN KEY (`user_id_location`) REFERENCES `location` (`location_id`) ON DELETE NO ACTION ON UPDATE CASCADE;
